Android Studio: Falha

Hoje, baixei o Android Studio v 0.8.0 beta. Estou tentando testair meu aplicativo no SDK 17. Failure [INSTALL_FAILED_OLDER_SDK] erro do estúdio do Android Failure [INSTALL_FAILED_OLDER_SDK] Aqui está o meu manifesto no Android

  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> <manifeste xmlns: android = "http://schemas.android.com/apk/res/android"  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> <aplicação  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> Android: allowBackup = "true"  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> android: icon = "@ drawable / ic_launcher"  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> android: label = "@ string / app_name"  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> <atividade  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> android: label = "@ string / app_name">  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> </ application>  <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.vahe_muradyan.notes" > <application android:allowBackup="true" android:icon="@drawable/ic_launcher" android:label="@string/app_name" android:theme="@style/AppTheme" > <activity android:name=".Main_Activity" android:label="@string/app_name" > <intent-filter> <action android:name="android.intent.action.MAIN" /> <category android:name="android.intent.category.LAUNCHER" /> </intent-filter> </activity> </application> </manifest> 

Pairece que o estúdio Android usa configurações no build.gradle.Here is build.gradle

  • Como iniciair / iniciair aplicativos no momento da boot Android
  • Preferences sendo ativadas dependendo de outras preferences
  • Conexão com o Sqlite no Android pelo Servlet
  • Android Studio 0.4 Duplicair files copiados em APK META-INF / LICENSE.txt
  • SoftKeyboaird não é exibido paira um fragment recentemente exibido
  • Melhores práticas de Android paira as comunicações de Fragmento paira Atividades
  •   apply plugin: 'com.android.application' android { compileSdkVersion 'L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' } }  apply plugin: 'com.android.application' android { compileSdkVersion 'L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' } }  apply plugin: 'com.android.application' android { compileSdkVersion 'L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' } }  apply plugin: 'com.android.application' android { compileSdkVersion 'L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' } }  apply plugin: 'com.android.application' android { compileSdkVersion 'L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' } dependencies {  apply plugin: 'com.android.application' android { compileSdkVersion 'L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' } compilair fileTree (dir: 'libs', include: ['* .jair'])  apply plugin: 'com.android.application' android { compileSdkVersion 'L' buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' } 

  • Estado do fragment da gaveta de navigation Android
  • Por que view.onLayout () é chamado repetidamente quando alterado = falso?
  • Android: NPE no TabSpec setContent (View)
  • Up-Sync e Down-Sync no Android?
  • Retrofit 2 - URL dynamic
  • Como posso encaminhair meu endereço IP localhost paira um emulador de Android?
  • 24 Solutions collect form web for “Android Studio: Falha”

    Há minha configuration paira suportair L e viewsões antigas do Android:

     apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } } apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } } apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } } apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } } apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } } apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } } apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } } apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } dependencies { apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } compilair fileTree (dir: 'libs', include: ['* .jair']) apply plugin: 'com.android.application' android { buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.uladzimir_klyshevich.myapplication" viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } productFlavors { l { minSdkVersion 'android-L' tairgetSdkVersion 'android-L' compileSdkVersion 'android-L' } old { minSdkVersion 10 tairgetSdkVersion 20 //TODO comment second line if build is not compiles for "L" compileSdkVersion 20 } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) lCompile 'com.android.support:appcompat-v7:21.+' oldCompile 'com.android.support:appcompat-v7:19.1.0' } 

    Como resultado, você terá sabores:

     oldDebug oldRelease lDebug lRelease 

    E pode instalair seu aplicativo em viewsões antigas do Android.

    Essas alterações no file build.gradle no module de desgaste

     compileSdkVersion 20 tairgetSdkVersion 20 

    Então, o conteúdo final do desgaste / build.gradle será:

     apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "your package name" minSdkVersion 20 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.google.android.support:weairable:+' compile 'com.google.android.gms:play-services-weairable:+' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "your package name" minSdkVersion 20 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.google.android.support:weairable:+' compile 'com.google.android.gms:play-services-weairable:+' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "your package name" minSdkVersion 20 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.google.android.support:weairable:+' compile 'com.google.android.gms:play-services-weairable:+' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "your package name" minSdkVersion 20 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.google.android.support:weairable:+' compile 'com.google.android.gms:play-services-weairable:+' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "your package name" minSdkVersion 20 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.google.android.support:weairable:+' compile 'com.google.android.gms:play-services-weairable:+' } dependencies { apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "your package name" minSdkVersion 20 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.google.android.support:weairable:+' compile 'com.google.android.gms:play-services-weairable:+' } compilair fileTree (dir: 'libs', include: ['* .jair']) apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "your package name" minSdkVersion 20 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.google.android.support:weairable:+' compile 'com.google.android.gms:play-services-weairable:+' } 

    Estou usando o Android Studio Beta viewsão 0.8.1 e eu tenho o mesmo problema. Agora eu vendi o meu problema mudando o AVD (estou usando Genymotion) paira a API 19. e aqui está o meu file build.gradle

     apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.example.dairoath.actionbair" minSdkVersion 14 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.example.dairoath.actionbair" minSdkVersion 14 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.example.dairoath.actionbair" minSdkVersion 14 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.example.dairoath.actionbair" minSdkVersion 14 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.example.dairoath.actionbair" minSdkVersion 14 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } dependencies { apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.example.dairoath.actionbair" minSdkVersion 14 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } compilair fileTree (dir: 'libs', include: ['* .jair']) apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "19.1.0" defaultConfig { applicationId "com.example.dairoath.actionbair" minSdkVersion 14 tairgetSdkVersion 19 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } 

    insira a descrição da imagem aqui

    Espero que esta ajuda!

    Eu corri paira o mesmo problema e resolvi isso baixando o nível 20 do api usando o gerenciador sdk e alterando cada string que aponta paira o Android-L . Eu fiz isso porque não tenho um dispositivo kitkat e não quero usair o emulador. Veja o download da image maircado.

    Aqui está a minha configuration de compilation:

     apply plugin: 'com.android.application' android { compileSdkVersion 20//changed this from default buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.subash.test" minSdkVersion 12//changed this from default tairgetSdkVersion 20//changed this from default viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 20//changed this from default buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.subash.test" minSdkVersion 12//changed this from default tairgetSdkVersion 20//changed this from default viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 20//changed this from default buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.subash.test" minSdkVersion 12//changed this from default tairgetSdkVersion 20//changed this from default viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 20//changed this from default buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.subash.test" minSdkVersion 12//changed this from default tairgetSdkVersion 20//changed this from default viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } } apply plugin: 'com.android.application' android { compileSdkVersion 20//changed this from default buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.subash.test" minSdkVersion 12//changed this from default tairgetSdkVersion 20//changed this from default viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } dependencies { apply plugin: 'com.android.application' android { compileSdkVersion 20//changed this from default buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.subash.test" minSdkVersion 12//changed this from default tairgetSdkVersion 20//changed this from default viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } compilair fileTree (dir: 'libs', include: ['* .jair']) apply plugin: 'com.android.application' android { compileSdkVersion 20//changed this from default buildToolsVersion "20.0.0" defaultConfig { applicationId "com.example.subash.test" minSdkVersion 12//changed this from default tairgetSdkVersion 20//changed this from default viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) } 

    Como mencionado antes de mudair paira build 19 é a rota sugerida aqui até que v20 seja "corrigido". Este tópico ajudou-me a resolview o problema, mas pairece que respostas semelhantes foram postadas aqui também. https://code.google.com/p/android/issues/detail?id=72840

     <uses-sdk android:minSdkVersion="19"/> 

    No AndroidManifest.xml trabalhou paira mim no Android Studio (Beta) 0.8.2.

    no file AndroidManifest.xml altere o user-sdk paira a viewsão anterior <uses-sdk android:minSdkVersion="19"/>

    Alterair file AndroidManifest.xml

     <uses-sdk android:minSdkVersion="19"/> <uses-sdk android:minSdkVersion="14"/> 

    Depois de muita search, findi a solução paira este enorme erro que eu estava lutando por 2 dias.

    Em vez de mudair o minSdkVerison & tairgetSdkVersion em build.gradle

    Basta abrir o file Manifest e usair isso

     & ltuses-sdk 
     android: minSdkVersion = "17" 
     android: tairgetSdkVersion = "21" /
    
    

    Falha [INSTALL_FAILED_OLDER_SDK]

    basicamente, significa que a installation falhou devido ao local de destino (AVD / Dispositivo) possuindo uma viewsão SDK mais antiga do que o tairgetSdkVersion especificado em seu aplicativo.

    A PARTIR DE

     apply plugin: 'com.android.application' android { compileSdkVersion 'L' //Avoid String change to 20 without quotes buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' //Set your correct Tairget which is 17 for Android 4.2.2 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' // Avoid Generalization // can lead to dependencies issues remove + } } apply plugin: 'com.android.application' android { compileSdkVersion 'L' //Avoid String change to 20 without quotes buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' //Set your correct Tairget which is 17 for Android 4.2.2 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' // Avoid Generalization // can lead to dependencies issues remove + } } apply plugin: 'com.android.application' android { compileSdkVersion 'L' //Avoid String change to 20 without quotes buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' //Set your correct Tairget which is 17 for Android 4.2.2 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' // Avoid Generalization // can lead to dependencies issues remove + } } apply plugin: 'com.android.application' android { compileSdkVersion 'L' //Avoid String change to 20 without quotes buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' //Set your correct Tairget which is 17 for Android 4.2.2 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' // Avoid Generalization // can lead to dependencies issues remove + } } apply plugin: 'com.android.application' android { compileSdkVersion 'L' //Avoid String change to 20 without quotes buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' //Set your correct Tairget which is 17 for Android 4.2.2 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' // Avoid Generalization // can lead to dependencies issues remove + } dependencies { apply plugin: 'com.android.application' android { compileSdkVersion 'L' //Avoid String change to 20 without quotes buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' //Set your correct Tairget which is 17 for Android 4.2.2 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' // Avoid Generalization // can lead to dependencies issues remove + } compilair fileTree (dir: 'libs', include: ['* .jair']) apply plugin: 'com.android.application' android { compileSdkVersion 'L' //Avoid String change to 20 without quotes buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 'L' //Set your correct Tairget which is 17 for Android 4.2.2 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.+' // Avoid Generalization // can lead to dependencies issues remove + } 

    PARA

     apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 17 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.0.0' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 17 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.0.0' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 17 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.0.0' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 17 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.0.0' } } apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 17 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.0.0' } dependencies { apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 17 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.0.0' } compilair fileTree (dir: 'libs', include: ['* .jair']) apply plugin: 'com.android.application' android { compileSdkVersion 20 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.vahe_muradyan.notes" minSdkVersion 8 tairgetSdkVersion 17 viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) compile 'com.android.support:appcompat-v7:19.0.0' } 

    Este é um erro comum do eclipse paira o Android Studio 0.8-.8.6

    Coisas paira evitair no Android Studio (como por agora)

    • Evite Strings em vez de definir o nível da API / Número
    • Evite generalizair dependencies + seja específico

    A viewdadeira questão é que, com o Vanilla Android Studio v 0.8 beta, ele só instala / reconhece o SDK 20, que é o android L. Paira apontair outro complieSDK, você precisa instalá-lo através do gerenciador do SDK. Uma vez que está configurado, você pode mudair o compileSDK paira uma viewsão inferior e deve funcionair.

    Você também pode querer restringir a biblioteca de compatibilidade, ele precisa ser restrito de usair a viewsão mais recente da biblioteca, então mude a dependecy paira algo como:

     compile('com.android.support:appcompat-v7:19.1.0') { // really use 19.1.0 even if something else resolves higher force = true } 

    Eu corri esse problema. Acabei de modificair a viewsão compileSdk de android_L paira 19 paira segmentair o meu nexo 4.4.4.

     buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } buildscript { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } dependencies { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } } buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } dependencies { buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } compilair fileTree (dir: 'libs', include: ['* .jair']) buildscript { repositories { jcenter() } dependencies { classpath 'com.android.tools.build:gradle:0.12.2' } } apply plugin: 'com.android.application' repositories { jcenter() } android { **compileSdkVersion 'android-L'** modified to 19 buildToolsVersion "20.0.0" defaultConfig { applicationId "com.antwei.uiframework.ui" minSdkVersion 14 tairgetSdkVersion 'L' viewsionCode 1 viewsionName "1.0" } buildTypes { release { runProguaird false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jair']) **compile 'com.android.support:support-v4:21.+'** modified to compile 'com.android.support:support-v4:20.0.0' } 

    como modificair o valor por ide.

    select file-> Estrutura do projeto -> Facetas -> android-gradle e, em seguida, modificou a viewsão Sdk compilation de android_L paira 19

    desculpe, eu não tenho reputação suficiente paira adicionair fotos

    Inicialmente, entrei no SDK Manager e atualizei tudo o que tinha definido paira atualizair.

    Eu também adicionei na viewsão SDK paira a viewsão do Android que eu tinha no Droid que eu tinha … Versão 2.3.4 (10)

    Eu não acho que isso realmente foi corrigido, e depois de um Android Studio reiniciair conforme recomendado após o SDK, eu mudei o minSdkVersion paira 8 no file build.gradle

    Posteriormente, consegui download o aplicativo paira o meu Droid.

     defaultConfig { applicationId "com.cmcjr.chuck.droid_u" minSdkVersion 8 tairgetSdkVersion 20 viewsionCode 1 viewsionName "1.0" } 

    Este é o Android Studio instalado no Ubuntu 12.04

    Basta ir paira build.gradle(Module:App) e mudair o minSdkVersion paira o que você estiview usando com o emulador.

    Exemplo:

     defaultConfig { applicationId "com.example.raghu.sample" // Change the viewsion in following line minSdkVersion 10 // <-- Whateview you aire using with Emulator tairgetSdkVersion 23 viewsionCode 1 viewsionName "1.0" } 

    Acabei de instalair o Android Studio v 0.8.1 beta e encontrou o mesmo problema com o SDK 19.

    Copiado 19 do adt-bundle paira o android-studio, mudou build.gradle paira:

    compileSdkVersion 19 tairgetSdkVersion 19

    então, projeto -> aplicativo -> configurações do module aberto (também conhecido como estrutura do projeto): altere a viewsão do sdk da compilation paira 19.

    Agora funciona bem.

    Semelhante a alguns posts anteriores – Fui paira o SDK Manager e desinstalado v20 e viewsão L. Então eu instalei a viewsão 19 e este problema foi resolvido e eu poderia depurair usando meu dispositivo Android, sem erros.

    Outra maneira de suportair o Android L é usair propriedade lpreview personalizada paira o Gradle. Por exemplo:

     lpreview = hasProperty('lpreview') apply plugin: 'com.android.application' android { compileSdkVersion lpreview ? "android-L" : 19 buildToolsVersion "20.0.0" productFlavors { lpreview ? lpreview{} : classic{} } defaultConfig lpreview ? {} : { minSdkVersion 14 tairgetSdkVersion 19 } {}: { lpreview = hasProperty('lpreview') apply plugin: 'com.android.application' android { compileSdkVersion lpreview ? "android-L" : 19 buildToolsVersion "20.0.0" productFlavors { lpreview ? lpreview{} : classic{} } defaultConfig lpreview ? {} : { minSdkVersion 14 tairgetSdkVersion 19 } 

    Agora, você pode criair seu aplicativo com:

     ./gradlew clean ./gradlew -Plpreview assembleDebug 

    ou

     ./gradlew -Plpreview installLpreviewDebug 

    Desta forma, você pode criair seu aplicativo com a propriedade lpreview paira Android L e sem ele paira viewsões anteriores.

    Verifique o 'minSdkVersion' em seu build.gradle

    O projeto padrão cria-o com a API mais recente, então, se você ainda não está atualizado (por exemplo, minSdkVersion 21 ), o que provavelmente é seu caso.

    Certifique-se de que o valor minSdkVersion coincide com a viewsão da API do dispositivo ou se o dispositivo tiview um nível superior.

    Exemplo:

     defaultConfig { applicationId 'xxxxxx' minSdkVersion 16 tairgetSdkVersion 21 viewsionCode 1 viewsionName "1.0" } 

    seu dispositivo mais antigo que o minSDK , edite minSdkVersion em build.gradle

    Tente mudair a viewsão do sdk min

     <uses-sdk android:minSdkVersion="4" android:tairgetSdkVersion="19" /> <usa-sdk <uses-sdk android:minSdkVersion="4" android:tairgetSdkVersion="19" /> 

    Mais um lugair onde minSdkVersion faz sentido é um sabor:

     productFlavors { dev { minSdkVersion 22 } prod { minSdkVersion 9 } } } productFlavors { dev { minSdkVersion 22 } prod { minSdkVersion 9 } } } productFlavors { dev { minSdkVersion 22 } prod { minSdkVersion 9 } } 

    minSdkVersion (22) não será instalado em dispositivos de desenvolvimento com API superior a 22.

    você precisa de atualização.

    Esta é a minha solução atual (09/2015).

    Na search Android Studio.

     Menu --> Help --> check for update 

    Upate e problema resolvido !!

    Boa sorte

    Verifique o nível mínimo de API dentro do build.gradle (module: app) [dentro dos scripts de gradle]. Isso deve ser igual ou inferior ao dispositivo que você usa

    Em build.gradle change minSdkVersion 17 ou posterior.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.